#! /bin/sh

#***************** local settings ****************************************
#
# -- location of tigreleap source
#
if test -z "${TIGRELEAP_SRC}"
then
    TIGRELEAP_SRC=$( dirname $0 )
fi
#
#*************************************************************************

NIGHTS="$@"

date
for night in $NIGHTS 
do 
	FAIL=0
	pids=""
	echo -n "Night $night ... "
	"${TIGRELEAP_SRC}/tigreleap.sh" -F -T ${night} B &  
	pids="$pids $!"
	"${TIGRELEAP_SRC}/tigreleap.sh" -F -T ${night} R & 
	pids="$pids $!"

	for id in $pids
	do
	    wait $id || FAIL=$(( FAIL + 1 ))
	done
	if [ $FAIL -ne 0 ]
	then
	    echo "$FAIL failure(s)."
	else
	    echo "success."
	fi
done 
date
